
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java读取Map的两种方法与对比_java / iVAN</title>

    <meta name="description" content="Java读取Map的两种方法与对比_java 前言 在java中遍历Map有不少的方法.这篇文章我们就来看一下Java读取Map的两种方法以及这两种方法的对比. 一. 遍历Map方法A Map map = new HashMap(); Iterator iter = map.entrySet().iterator(); while (iter.hasNext()) { Map.Entry entry = (Map.Entry) iter.next(); Object key = entry.getKey(); Object val = en">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java读取Map的两种方法与对比_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>在java中遍历Map有不少的方法。这篇文章我们就来看一下Java读取Map的两种方法以及这两种方法的对比。</p>
<p><strong>一、 遍历Map方法A</strong></p>
<pre>
Map map = new HashMap();
Iterator iter = map.entrySet().iterator();
while (iter.hasNext()) {
 Map.Entry entry = (Map.Entry) iter.next();
 Object key = entry.getKey();
 Object val = entry.getValue();
} </pre>
<p><strong>二、遍历Map方法B<br /></strong></p>
<pre>
Map map = new HashMap();
Iterator iter = map.keySet().iterator();
while (iter.hasNext()) {
 Object key = iter.next();
 　Object val = map.get(key);
} </pre>
<p><strong>三、分析遍历方法</strong></p>
<p>   方法A：  在遍历中一次读取<code>Map.Entry</code>，然后直接获取的值。</p>
<p>   方法B:   基于keySet则是，先遍历，然后再从Map中读取信息。</p>
<p><strong>四、性能测试</strong></p>
<pre>
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map; 

import org.junit.BeforeClass;
import org.junit.Test; 

public class MapLoopA {
 private static Map&lt;Integer, String&gt; infos = new HashMap&lt;Integer, String&gt;(); 

 @BeforeClass
 public static void setUp() {
 for (int i=0; i&lt;1000000; i++) {
  infos.put(i, "test information" + i);
 }
 System.out.println("setUp is done.");
 } 

 @Test
 public void testMapLoopA() {
 Iterator&lt;Map.Entry&lt;Integer, String&gt;&gt; iterator = infos.entrySet().iterator();
 long startTime = System.currentTimeMillis();
 while (iterator.hasNext()) {
  Map.Entry&lt;Integer, String&gt; entry = iterator.next();
  int key = entry.getKey();
  String val = entry.getValue();
 } 

 System.out.println("A solution takes in looping Map with 1000000 entries:"
   + (System.currentTimeMillis()-startTime) + " milli seconds");
 } 

 @Test
 public void testMapLoopB() {
 Iterator&lt;Integer&gt; iterator = infos.keySet().iterator();
 long startTime = System.currentTimeMillis();
 while (iterator.hasNext()) {
  int key = iterator.next();
  String val = infos.get(key);
 } 

 System.out.println("B solution takes in looping Map with 1000000 entries:" +
   (System.currentTimeMillis()-startTime) + " milli seconds");
 }
} </pre>
<p><strong>测试结果：</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTExNzgzNTU0NjY3LnBuZw==.jpg"> </p>
<p>由此可见，在Map中存放1000000个数据，并在此数据集合中，进行遍历。效率上差异将近1倍的性能差异。</p>
<p><strong>五、总结</strong></p>
<p>好了，以上就是这篇文章的全部内容了，可以看车方法A的效率总体要高一些。一般推荐大家使用方法A。希望本文的内容对大家的学习或者工作能带来一定的帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                对比<br />
                    ，                java读取map<br />
                    ，                map对比<br />
                                    两个map<br />
                                    java 读取map、java map对比、java map 读取文件、map和reduce两种操作、map遍历的两种方式，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 04:21:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e6%af%94/" title="对比">对比</a>, <a href="https://www.iamivan.net/tag/map%e5%af%b9%e6%af%94/" title="map对比">map对比</a>, <a href="https://www.iamivan.net/tag/java%e8%af%bb%e5%8f%96map/" title="java读取map">java读取map</a>, <a href="https://www.iamivan.net/tag/%e4%b8%a4%e4%b8%aamap/" title="两个map">两个map</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java读取Map的两种方法与对比_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N8kJz.html" rel="bookmark">java 遍历MAP的几种方法示例代码&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java中遍历MAP的几种方法 Map&lt;String,String&gt; map=new HashMap&lt;String,String&gt;(); map.put(&quot;username&quot;, &quot;qq&quot;); map.put(&quot;passWord&quot;, &quot;123&quot;); map.put(&quot;userID&quot;, &quot;1&quot;); map.put(&quot;email&quot;, &quot;qq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmY1vDp.html" rel="bookmark">JAVA实现多线程的两种方法实例分享&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java语言已经内置了多线程支持,所有实现Runnable接口的类都可被启动一个新线程,新线程会执行该实例的run()方法,当run()方法执行完毕后,线程就结束了.一旦一个线程执行完毕,这个实例就不能再重新启动,只能重新生成一个新实例,再启动一个新线程. Thread类是实现了Runnable接口的一个实例,它代表一个线程的实例,并且,启动线程的唯一方法就是通过Thread类的start()实例方法: 复制代码 代码如下: Thread t = new Thread(); t.start();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXDlmp.html" rel="bookmark">php fseek函数读取大文件两种方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php读取大文件,使用fseek函数是最为普遍的方式,它不需要将文件的内容全部读入内存,而是直接通过指针来操作,所以效率是相当高效的.在使用fseek来对文件进行操作时,也有多种不同的方法,效率可能也是略有差别的,下面是常用的两种方法. 方法一: 首先通过fseek找到文件的最后一位EOF,然后找最后一行的起始位置,取这一行的数据,再找次一行的起始位置,再取这一行的位置,依次类推,直到找到了$num行.实现代码如下: 整个代码执行完成耗时 0.0095 (s) function tail($fp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46NGrM.html" rel="bookmark">php fseek函数读取大文件两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php读取大文件,使用fseek函数是最为普遍的方式,它不需要将文件的内容全部读入内存,而是直接通过指针来操作,所以效率是相当高效的.在使用fseek来对文件进行操作时,也有多种不同的方法,效率可能也是略有差别的,下面是常用的两种方法. 方法一: 首先通过fseek找到文件的最后一位EOF,然后找最后一行的起始位置,取这一行的数据,再找次一行的起始位置,再取这一行的位置,依次类推,直到找到了$num行.实现代码如下: 整个代码执行完成耗时 0.0095 (s) function tail($fp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJkBvM.html" rel="bookmark">可视化Swing中JTable控件绑定SQL数据源的两种方法深入解析&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 MyEclipse 的可视化 Swing 中,有 JTable 控件.JTable 用来显示和编辑常规二维单元表.那么,如何将 数据库SQL中的数据绑定至JTable中呢?在这里,提供两种方法.JTable的构造方法通过查阅Java的API,可以可以得到JTable的两个重要的构造方法:JTable(Object[][] rowData, Object[] columnNames)构造一个 JTable 来显示二维数组 rowData 中的值,其列名称为 columnNames.JTable			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxo9jPb.html" rel="bookmark">&lbrack;Java&rsqb; 实现多线程的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:请尊重个人劳动成果,转载注明出处,谢谢! Java提供了两种创建线程方法: 通过实现Runable接口: 通过继承Thread类本身. 1 .声明实现 Runnable 接口的类,该类然后实现 run 方法.然后可以分配该类的实例,在创建 Thread 时作为一个参数来传递并启动.例如,计算大于某一规定值的质数的线程可以写成: class PrimeRun implements Runnable { long minPrime; PrimeRun(long minPrime) { th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxvKjQz.html" rel="bookmark">Java解析XML的四种方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XML现在已经成为一种通用的数据交换格式,它的平台无关性,语言无关性,系统无关性,给数据集成与交互带来了极大的方便.对于XML本身的语法知识与技术细节,需要阅读相关的技术文献,这里面包括的内容有DOM(Document Object Model),DTD(Document Type Definition),SAX(Simple API for XML),XSD(Xml Schema Definition),XSLT(Extensible Stylesheet Language Transform			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrqe7Vb.html" rel="bookmark">JAVA实现多线程的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考URL:   http://www.cnblogs.com/jbelial/archive/2013/03/17/2964472.html 1.继承 java.lang.Thread 类. 2.实现Runnable 接口. class ThreadText extends Thread { public void run() { for (int a=0; a&lt;10; a++) { System.out.println(currentThread().getName() + &quot;:-1:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBWVyb.html" rel="bookmark">Oracle获取LOB长度的两种方法效率对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两天写了一篇文章,介绍LENGTH等一系列的常规函数一样可以处理LOB类型,有人在BLOG回复中提到,使用LENGTH的效率要比DBMS_LOB.GETLENGTH低,这里进行简单的测试. 建立一个测试表: SQL&gt; CREATE TABLE T_LOB (ID NUMBER, CONTENTS CLOB); Table created. SQL&gt; DECLARE 2     V_LOB CLOB; 3  BEGIN 4        INSERT INTO T_LOB 5     VALU			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0YBAp.html" rel="bookmark" class="title">在 C&plus;&plus; Builder中利用串行通信控件编程</a>
					<div>
						摘要:串口是常用的计算机与外部串行设备之间的数据传输通道,由于串行通信方便易行,所以应用广泛.本文介绍了在C++ Builder中如何利用串行通信控件进行串行通信编程. 一.引言 目前,在用计算机进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL8Dap.html" rel="bookmark" class="title">站长月赚10万美金不成问题</a>
					<div>
						问题|站长 很多站长抱怨今年的广告不好做.要么是广告联盟扣量太多,要么是价钱太低,反正很难找到如意的.这几天比较了几个熟知的广告联盟,发现google广告大有文章可做,搞得好的话月赚10万美金不成问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0m17p.html" rel="bookmark" class="title">代码实例：纯CSS代码实现翻页</a>
					<div>
						css|翻页 纯CSS实现翻页效果,原理比较简单,书签配合隐藏. 运行代码框 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Strict// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkrojM.html" rel="bookmark" class="title">苹果和微软哪一个网站更好，更实用？</a>
					<div>
						[原创翻译]Apple vs. Microsoft--网站可用性研究 今天我们要对两家大公司--苹果和微软--的网站做一个比较. 这两大巨头都对生产尖端产品以及引领软硬件的发展感到自豪,但他们的网站又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqxZ2b.html" rel="bookmark" class="title">网站的主导航与面包屑导航</a>
					<div>
						在很多大厦或是大型超市的入口处一般都会树立路牌之类的标识来为用户指明方向,而进入到内部后则会有另外更详细的导航指示.这两者之间的关系就像是网站的主导航与面包屑导航一样,前者为用户做一个大概的结构介绍, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NJL3z.html" rel="bookmark" class="title">搭建一个后台服务器：客户端</a>
					<div>
						上篇规定的协议请求部分: request: username/password, 约定username与password  各占32个字节(联同末位0) 可以将客户端的逻辑设计成: 1.将 usern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl803z.html" rel="bookmark" class="title">微软发布Windows Phone版远程桌面遥控应用</a>
					<div>
						微软已经发布了一款Window sPhone版的叫远程办公的应用,你可以通过这个应用来操作在你电脑的Office应用,比如Word, Excel和PowerPoint.例如,通过你的Windows P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlDoEb.html" rel="bookmark" class="title">Linux中解决系统时钟和硬件时钟不一致的问题</a>
					<div>
						在使用linux的过程中,可能遇到系统时候和硬件时钟不一致,即date,hwclock --show看到的时钟不一致. Linux时钟分为系统时钟(System Clock)和硬件(Real Time ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj74a6M.html" rel="bookmark" class="title">PhotoShop CS6红色折纸字体制作教程</a>
					<div>
						折叠字看似简单,制作的时候还是要非常细心的.总共有三个大的步骤:首先是字体的选择及变形处理;然后把文字转为形状,再按折叠原理对文字局部变形处理;最后就是折叠出的阴影制作及整体质感渲染. 最终效果 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z721Pdp.html" rel="bookmark" class="title">支付宝为他人充值的支付方式</a>
					<div>
						  目前只能使用储蓄卡网银(新版收银台支持企业网银)和储蓄卡卡通给他人的支付宝账户充值. 其他方式均不支持为他人支付宝账户充值.例如:邮政网汇e暂不可以给朋友账户充值,建议可以请朋友直接用汇票号码和密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eyBob.html" rel="bookmark" class="title">新浪微公益已捐款还会给发起人吗？</a>
					<div>
						  用户捐赠成功即为确认捐赠钱款无误,微公益平台募捐项目款项一旦由用户捐赠成功即不支持退回. 如果此求助去人无法继续进行,所捐款项将自动进入&quot;新浪爱心网友&quot;专用帐户,定期由@微公益 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZQ79b.html" rel="bookmark" class="title">笔记本专用xp系统重新启动后快速启动栏消失了怎么办</a>
					<div>
						  笔记本专用xp系统用户在对系统进行重新启动之后,发现电脑桌面任务栏中的快速启动栏消失不见了,很多用户在遇到这种情况时选择不去管它,因为没有快速启动栏不会对用户的正常使用电脑造成太大的影响.不过如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WKm8b.html" rel="bookmark" class="title">winform指纹登录项目， 中控指纹仪</a>
					<div>
						问题描述 winform指纹登录项目, 中控指纹仪 现在正在做一个winform指纹登录项目, 用的是中控指纹仪 现在就是做的软件连接不上指纹仪, 指纹仪要装的驱动也装了,但是指纹仪插在USB接口上没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8wleb.html" rel="bookmark" class="title">kafka详解三：开发Kafka应用</a>
					<div>
						一.整体看一下Kafka 我们知道,Kafka系统有三大组件:Producer.Consumer.broker . producers 生产(produce)消息(message)并推(push)送给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7QANM.html" rel="bookmark" class="title">windows启动引导修复</a>
					<div>
						windos启动引导修复的工具可以更深层次的修复启动引导项,特别是在使用其它工具无法修复启动引导项的情况下,bootice引导管理工具就可以解决这样的问题,登录不了系统等问题 插上U启动U盘,在开机界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3VKEz.html" rel="bookmark" class="title">从社交到服务，支付宝「到位」新功能背后的冷思考</a>
					<div>
						当理想照进现实之时,一切都可能会感觉那么不真实.2015年愚人节支付宝的一个恶搞视频,没想到竟然有成真的那一天.那个能满足用户各种奇葩需求的「到位」系统竟然真的被支付宝做出来了. 支付宝试水共享经济, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA97KM.html" rel="bookmark" class="title">ext编译-如何将ext的网页文档格式编译成CHM格式？</a>
					<div>
						问题描述 如何将ext的网页文档格式编译成CHM格式? 如何将ext的网页文档格式编译成CHM格式?需要用到的工具是什么呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDXeez.html" rel="bookmark" class="title">路径怎么生成-php编译make后找不到libpng</a>
					<div>
						问题描述 php编译make后找不到libpng #./configure --prefix=/usr/local/webserver/php5613 --with-config-file-path= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK1jYb.html" rel="bookmark" class="title">创业一线草根必读：互联网创业十大禁忌</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 随着互联网的不断发展,如今创业已不同十年前有那么多机会.巨头垄断是不争的事实,没有资源很难玩得转.从草根的角度上来讲,一没足够的资金就熬不下去,做长线投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKgNXb.html" rel="bookmark" class="title">web&period;xml配置web中的key points&lpar;上&rpar;</a>
					<div>
						一.定义 定义时注意:xml元素是区分大小写的. &lt;web-app&gt;&lt;/web-app&gt; 这些必须小写 二.url-pattern 1)url-pattern 的值必须以/或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba72lnp.html" rel="bookmark" class="title">u盘-设备管理中没有&OpenCurlyDoubleQuote;通用串行总线控制器&rdquo;一栏，插U盘不起作用</a>
					<div>
						问题描述 设备管理中没有&quot;通用串行总线控制器&quot;一栏,插U盘不起作用 按下开机按钮然后迅速按下del键 进入bois,找到USB Step,将USB Step的值修改为enable  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4kjnz.html" rel="bookmark" class="title">JavaScript开发规范要求</a>
					<div>
						原文http://www.cnblogs.com/webflash/archive/2010/06/11/1756255.html   作为一名开发人员(WEB前端JavaScript开发),不规范的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn36oM.html" rel="bookmark" class="title">对象-空指针异常问题，怎么修改？</a>
					<div>
						问题描述 空指针异常问题,怎么修改? public ResultSet executeQuery(String sql) { try { // 捕捉异常 conn = getConnection(); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv7OmM.html" rel="bookmark" class="title">binder 实例分析</a>
					<div>
						android的binder机制提供一种进程间通信的方法,使不同一个进程可以以类似远程过程调用的形式调用另一个进程所提供的功能. android的代码中,与C/C++的binder包括一些类型和接口的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWJYPz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;光伏&plus;&rdquo;模式是否能提高土地产出率？</a>
					<div>
						土地对于人类所起的作用是至关重要的,被看作是人类赖以生存和发展的物质基础.从古至今土地制度在不断的演变,原始社会土地公有制,奴隶社会土地国有制-井田制,而到了战国,商鞅变法确定了封建社会土地私有制,形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDvvz.html" rel="bookmark" class="title">将查询的结果显示在另一个页面上</a>
					<div>
						问题描述 protectedvoidsubmitPhone_Click(objectsender,EventArgse){System.Data.SqlClient.SqlConnectionconn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvXgxM.html" rel="bookmark" class="title">如何生成HLS协议的M3U8文件</a>
					<div>
						什么是HLS协议:   HLS(Http Live Streaming)是由Apple公司定义的用于实时流传输的协议,HLS基于HTTP协议实现,传输内容包括两部分,一是M3U8描述文件,二是TS媒体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdRAQb.html" rel="bookmark" class="title">Red Flag Linux Desktop 6&period;0用户手册：工具盘工具列表</a>
					<div>
						红旗公司为方便广大用户的使用,特集成了一张工具盘中供用户选用.盘中所有工具均可在系统中正常运行.在运用过程中,如果工具盘中的软件出现任何问题,敬请用户借助网络.书籍等各种方式进行自学.处理. 工具盘工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJrwqM.html" rel="bookmark" class="title">阿里云OCS北京区域上线</a>
					<div>
						尊敬的阿里云用户:       继杭州和青岛之后,阿里云OCS(开放缓存服务)北京区域于6月17日正式上线,以满足用户更多网络节点的需求,并进一步提升用户应用服务的可靠性及多用户分布的响应速度.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgZd3z.html" rel="bookmark" class="title">美股评论：李艾科有太多需要证明</a>
					<div>
						导读:周五,惠普新首席执行官李艾科召开了上任之后第一次华尔街分析师研讨会,MarketWatch科技专栏作家普莱蒂(Therese Poletti)认为,从这次会议上的讲话看来,李艾科显然并没有证明自 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
